#include <iostream>
using namespace std;
int main()
{
    int N;
    unsigned long long L;
    cin>> N>>L;
    cin>>niz[i];
    for(int i=0;i<n;++i)
        cin>>niz[i];
    
    for(int i=0;i<n;++i)
        if(niz[i]<=L){
            cout<<i;
            return 0;
        }
    cout<<-1;
    return 0;
}